質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.03%

Android StudioにSDK Toolsの不足分を追加できないです.

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 1,709

score 20

インストールしたいパッケージが存在しないです.

Androidアプリ開発の教科書を読んでいてAndroid Studioの設定していたのですが,以下のパッケージが存在しないようです.どのようにしたら解決できるでしょうか.

・ConstraintLayout for Android
・Solver for ConstraintLayout
・Android Support Repository
・Google Repository

Welcome画面からConfigureの中のSDK Managerを表示したところです.

イメージ説明

本によるとこのように表示されるはずです.

![イメージ説明

Android Studioに関しては初心者でなにもわからないのですが,少しでもわかる方がいらっしゃいましたらよろしくお願いします.

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

+2

Support Repositoryの枝にある各パッケージは、過去のAndroid Stduioには存在しましたが、現在は削除されました。それらが無くても通常の開発には支障のないように仕組みが変化しています。

本によるとこのように表示されるはずです.

Android Studioのバージョンが変わると画面構成もすぐに変わるので、異なるバージョンを扱っているのならば本と同一の画面になることを期待することはできません。特に、最近になってアプリ開発に半ば必須だった「Support Library」というライブラリー群が、「AndroidX」と呼ばれるものに置き換えられており、ここも古い書籍を参考にしていると躓く要因となるでしょう。

どうしても本と同一でなければ進めないのであれば、過去のAndroid Studioを公開しているページがあるので、ここから拾ってきましょう。

Android Studio download archives

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

checkベストアンサー

+1

それらは不要になりました。代わりに app/build.gradle に以下のように書いてあれば大丈夫です。
(最近の Android Studio で新規プロジェクトを作れば勝手にこうなってるはず。)

dependencies {
    implementation 'androidx.appcompat:appcompat:1.1.0'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    // その他いろいろ
}

古いプロジェクトでは android.support.〜 というパッケージのライブラリが使われている場合がありますが、今は androidx.〜 で始まるものを使うことになってるので、適宜書き換えてご利用ください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.03%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る